//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Temporal aspects of an event or activity.
 * 
 * <p>Java class for DateTime complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DateTime"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DateText" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="TimeZone" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="ISODateTimeBegin" type="{http://www.tdwg.org/schemas/abcd/3.0}DateTimeISO" minOccurs="0"/&gt;
 *         &lt;element name="TimeOfDayBegin" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/&gt;
 *         &lt;element name="ISODateTimeEnd" type="{http://www.tdwg.org/schemas/abcd/3.0}DateTimeISO" minOccurs="0"/&gt;
 *         &lt;element name="TimeOfDayEnd" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/&gt;
 *         &lt;element name="PeriodExplicit" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DateTime", propOrder = {
    "dateText",
    "timeZone",
    "isoDateTimeBegin",
    "timeOfDayBegin",
    "isoDateTimeEnd",
    "timeOfDayEnd",
    "periodExplicit"
})
public class DateTime {

    @XmlElement(name = "DateText")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String dateText;
    @XmlElement(name = "TimeZone")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String timeZone;
    @XmlElement(name = "ISODateTimeBegin")
    protected String isoDateTimeBegin;
    @XmlElement(name = "TimeOfDayBegin")
    @XmlSchemaType(name = "time")
    protected XMLGregorianCalendar timeOfDayBegin;
    @XmlElement(name = "ISODateTimeEnd")
    protected String isoDateTimeEnd;
    @XmlElement(name = "TimeOfDayEnd")
    @XmlSchemaType(name = "time")
    protected XMLGregorianCalendar timeOfDayEnd;
    @XmlElement(name = "PeriodExplicit")
    protected Boolean periodExplicit;

    /**
     * Gets the value of the dateText property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateText() {
        return dateText;
    }

    /**
     * Sets the value of the dateText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateText(String value) {
        this.dateText = value;
    }

    /**
     * Gets the value of the timeZone property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimeZone() {
        return timeZone;
    }

    /**
     * Sets the value of the timeZone property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimeZone(String value) {
        this.timeZone = value;
    }

    /**
     * Gets the value of the isoDateTimeBegin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getISODateTimeBegin() {
        return isoDateTimeBegin;
    }

    /**
     * Sets the value of the isoDateTimeBegin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setISODateTimeBegin(String value) {
        this.isoDateTimeBegin = value;
    }

    /**
     * Gets the value of the timeOfDayBegin property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTimeOfDayBegin() {
        return timeOfDayBegin;
    }

    /**
     * Sets the value of the timeOfDayBegin property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTimeOfDayBegin(XMLGregorianCalendar value) {
        this.timeOfDayBegin = value;
    }

    /**
     * Gets the value of the isoDateTimeEnd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getISODateTimeEnd() {
        return isoDateTimeEnd;
    }

    /**
     * Sets the value of the isoDateTimeEnd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setISODateTimeEnd(String value) {
        this.isoDateTimeEnd = value;
    }

    /**
     * Gets the value of the timeOfDayEnd property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTimeOfDayEnd() {
        return timeOfDayEnd;
    }

    /**
     * Sets the value of the timeOfDayEnd property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTimeOfDayEnd(XMLGregorianCalendar value) {
        this.timeOfDayEnd = value;
    }

    /**
     * Gets the value of the periodExplicit property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPeriodExplicit() {
        return periodExplicit;
    }

    /**
     * Sets the value of the periodExplicit property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPeriodExplicit(Boolean value) {
        this.periodExplicit = value;
    }

}
